sailpoint.rule

## Class Account

- java.lang.Object
- - sailpoint.rule.Account

    public class Account
    extends java.lang.Object

Definition of an Account interface available to Rule implementors.

### Constructor Summary

Constructors
Constructor and Description
`Account()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.Object>` `getAttributes()` Gets the raw attributes of the account.
`java.lang.String` `getDescription()` Gets the description of the account.
`java.lang.String` `getIdentityId()` Gets the id of the identity that owns the source.
`java.lang.String` `getNativeIdentity()` Gets the native identity of the account.
`java.lang.String` `getSourceId()` Gets the id of the source the account is on.
`java.lang.String` `getUuid()` Gets the UUID of the account.
`boolean` `hasEntitlements()` Determines whether or not the account has entitlements.
`boolean` `isAuthoritative()` Determines whether or not the account is authoritative.
`boolean` `isDisabled()` Determines whether or not the account is disabled.
`boolean` `isLocked()` Determines whether or not the account is locked.
`boolean` `isManuallyCorrelated()` Determines whether or not the account was manually correlated.
`boolean` `isSystemAccount()` Determines whether or not the account is a system account.
`boolean` `isUncorrelated()` Determines whether or not the account is uncorrelated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Account

    public Account()

### Method Detail

#### getNativeIdentity

    public java.lang.String getNativeIdentity()

Gets the native identity of the account.

Returns:
  The native identity.

#### getUuid

    public java.lang.String getUuid()

Gets the UUID of the account.

Returns:
  The UUID or null if does not exist.

#### getSourceId

    public java.lang.String getSourceId()

Gets the id of the source the account is on.

Returns:
  The source id.

#### getIdentityId

    public java.lang.String getIdentityId()

Gets the id of the identity that owns the source.

Returns:
  The identity id.

#### getAttributes

    public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

Gets the raw attributes of the account.

Returns:
  The attributes.

#### isAuthoritative

    public boolean isAuthoritative()

Determines whether or not the account is authoritative.

Returns:
  True if authoritative, false otherwise.

#### getDescription

    public java.lang.String getDescription()

Gets the description of the account.

Returns:
  The description.

#### isDisabled

    public boolean isDisabled()

Determines whether or not the account is disabled.

Returns:
  True if the account is disabled, false otherwise.

#### isLocked

    public boolean isLocked()

Determines whether or not the account is locked.

Returns:
  True if the account is locked, false otherwise.

#### isSystemAccount

    public boolean isSystemAccount()

Determines whether or not the account is a system account. An account is a system account when it is on the IdentityNow application.

Returns:
  True if the account is a system account, false otherwise.

#### isUncorrelated

    public boolean isUncorrelated()

Determines whether or not the account is uncorrelated.

Returns:
  True if the account is uncorrelated, false otherwise.

#### isManuallyCorrelated

    public boolean isManuallyCorrelated()

Determines whether or not the account was manually correlated.

Returns:
  True if the account was manually correlated, false otherwise.

#### hasEntitlements

    public boolean hasEntitlements()

Determines whether or not the account has entitlements.

Returns:
  True if the account has entitlements, false otherwise.